/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Camel Brutus transport class. 
 *
 *    Authors:
 *        Jules Colding <colding@omesc.com>
 *
 *    Copyright (C) 2005-2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

#ifndef CAMEL_BRUTUS_TRANSPORT_H
#define CAMEL_BRUTUS_TRANSPORT_H 1

#include <camel/camel-transport.h>

G_BEGIN_DECLS

#define CAMEL_BRUTUS_TRANSPORT_TYPE     (camel_brutus_transport_get_type ())
#define CAMEL_BRUTUS_TRANSPORT(obj)     (CAMEL_CHECK_CAST((obj), CAMEL_BRUTUS_TRANSPORT_TYPE, CamelBrutusTransport))
#define CAMEL_BRUTUS_TRANSPORT_CLASS(k) (CAMEL_CHECK_CLASS_CAST ((k), CAMEL_BRUTUS_TRANSPORT_TYPE, CamelBrutusTransportClass))
#define CAMEL_IS_BRUTUS_TRANSPORT(o)    (CAMEL_CHECK_TYPE((o), CAMEL_BRUTUS_TRANSPORT_TYPE))

typedef struct {
	CamelTransport parent_object;

} CamelBrutusTransport;

typedef struct {
	CamelTransportClass parent_class;

} CamelBrutusTransportClass;

/* Standard Camel function */
CamelType camel_brutus_transport_get_type(void);

G_END_DECLS

#endif /* CAMEL_BRUTUS_TRANSPORT_H */
