/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005-2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IMAPIAdviseSink.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IMAPIAdviseSink.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IMAPIAdviseSink_)
#define _typedef_impl_POA_BRUTUS_IMAPIAdviseSink_ 1
typedef struct {
	POA_BRUTUS_IMAPIAdviseSink servant;
	PortableServer_POA poa;

	/* ------ add private attributes here ------ */
	BRUTUS_IMAPIAdviseSink filling;
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IMAPIAdviseSink;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IMAPIAdviseSink__destroy_)
#define _decl_impl_BRUTUS_IMAPIAdviseSink__destroy_ 1
static void impl_BRUTUS_IMAPIAdviseSink__destroy(impl_POA_BRUTUS_IMAPIAdviseSink *servant,
						 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPIAdviseSink_OnNotify_)
#define _decl_impl_BRUTUS_IMAPIAdviseSink_OnNotify_ 1
static void
impl_BRUTUS_IMAPIAdviseSink_OnNotify(impl_POA_BRUTUS_IMAPIAdviseSink *servant,
				     const BRUTUS_seq_NOTIFICATION* lpNotifications,
				     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPIAdviseSink_InternalError_)
#define _decl_impl_BRUTUS_IMAPIAdviseSink_InternalError_ 1
static void
impl_BRUTUS_IMAPIAdviseSink_InternalError(impl_POA_BRUTUS_IMAPIAdviseSink *servant,
					  const BRUTUS_BRESULT ErrorCode,
					  CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IMAPIAdviseSink_base_epv_)
#define _impl_BRUTUS_IMAPIAdviseSink_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IMAPIAdviseSink_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IMAPIAdviseSink__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IMAPIAdviseSink_epv_)
#define _impl_BRUTUS_IMAPIAdviseSink_epv_ 1
static POA_BRUTUS_IMAPIAdviseSink__epv impl_BRUTUS_IMAPIAdviseSink_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMAPIAdviseSink_OnNotify,
	(gpointer)&impl_BRUTUS_IMAPIAdviseSink_InternalError,
};
#endif


/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IMAPIAdviseSink_vepv_)
#define _impl_BRUTUS_IMAPIAdviseSink_vepv_ 1
static POA_BRUTUS_IMAPIAdviseSink__vepv impl_BRUTUS_IMAPIAdviseSink_vepv = {
	&impl_BRUTUS_IMAPIAdviseSink_base_epv,
	&impl_BRUTUS_IMAPIAdviseSink_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IMAPIAdviseSink__create_)
#define _impl_BRUTUS_IMAPIAdviseSink__create_ 1
static BRUTUS_IMAPIAdviseSink impl_BRUTUS_IMAPIAdviseSink__create(BRUTUS_BrutusCheck content,
								  PortableServer_POA poa,
								  CORBA_Environment *ev)
{
	BRUTUS_IMAPIAdviseSink retval;
	impl_POA_BRUTUS_IMAPIAdviseSink *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IMAPIAdviseSink, 1);
	newservant->servant.vepv = &impl_BRUTUS_IMAPIAdviseSink_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IMAPIAdviseSink__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */

	newservant->filling = CORBA_Object_duplicate((CORBA_Object)content, ev);

	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPIAdviseSink__destroy_)
#define _impl_BRUTUS_IMAPIAdviseSink__destroy_ 1
static void
impl_BRUTUS_IMAPIAdviseSink__destroy(impl_POA_BRUTUS_IMAPIAdviseSink *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */

	/* ------ free private attributes here ------ */

	CORBA_Object_release(servant->filling, ev);

	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IMAPIAdviseSink__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IMAPIAdviseSink_OnNotify_)
#define _impl_BRUTUS_IMAPIAdviseSink_OnNotify_ 1
static void
impl_BRUTUS_IMAPIAdviseSink_OnNotify(impl_POA_BRUTUS_IMAPIAdviseSink *servant,
				     const BRUTUS_seq_NOTIFICATION* lpNotifications,
				     CORBA_Environment *ev)
{
	BRUTUS_IMAPIAdviseSink_OnNotify(servant->filling, lpNotifications, ev);
}
#endif

#if !defined(_impl_BRUTUS_IMAPIAdviseSink_InternalError_)
#define _impl_BRUTUS_IMAPIAdviseSink_InternalError_ 1
static void
impl_BRUTUS_IMAPIAdviseSink_InternalError(impl_POA_BRUTUS_IMAPIAdviseSink *servant,
					  const BRUTUS_BRESULT ErrorCode,
					  CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	BRUTUS_IMAPIAdviseSink_InternalError(servant->filling, ErrorCode, ev);
	/* ------ ---------- end ------------ ------ */
}
#endif

